- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QGraphicsDropShadowEffect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 199 of file qgraphicseffect.h.

`#include <qgraphicseffect.h>`

Inheritance diagram for QGraphicsDropShadowEffect:
[legend]

List of all members.

## Public Slots
void | setOffset (const QPointF &ofs)
void | setOffset (qreal dx, qreal dy)
void | setOffset (qreal d)
void | setXOffset (qreal dx)
void | setYOffset (qreal dy)
void | setBlurRadius (qreal blurRadius)
void | setColor (const QColor &color)
## Signals
void | offsetChanged (const QPointF &offset)
void | blurRadiusChanged (qreal blurRadius)
void | colorChanged (const QColor &color)
## Public Member Functions
| QGraphicsDropShadowEffect (QObject *parent=0)
| ~QGraphicsDropShadowEffect ()
QRectF | boundingRectFor (const QRectF &rect) const
QPointF | offset () const
qreal | xOffset () const
qreal | yOffset () const
qreal | blurRadius () const
QColor | color () const
## Protected Member Functions
void | draw (QPainter *painter)
## Properties
QPointF | offset
qreal | xOffset
qreal | yOffset
qreal | blurRadius
QColor | color

## Constructor & Destructor Documentation

QGraphicsDropShadowEffect | ( | QObject * | parent = `0` | ) |

~QGraphicsDropShadowEffect | ( |  | ) |

## Member Function Documentation

QRectF boundingRectFor | ( | const QRectF & | rect | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsEffect.

QPointF offset | ( |  | ) | const

Search for all occurrences

qreal xOffset | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 214 of file qgraphicseffect.h.

        { return offset().x(); }

qreal yOffset | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 217 of file qgraphicseffect.h.

        { return offset().y(); }

qreal blurRadius | ( |  | ) | const

Search for all occurrences

QColor color | ( |  | ) | const

Search for all occurrences

void setOffset | ( | const QPointF & | ofs | ) | `[slot]`

Search for all occurrences

void setOffset | ( | qreal | dx,
|  | qreal | dy
| ) |  | `[inline, slot]`

Search for all occurrences

Definition at line 226 of file qgraphicseffect.h.

        { setOffset(QPointF(dx, dy)); }

void setOffset | ( | qreal | d | ) | `[inline, slot]`

Search for all occurrences

Definition at line 229 of file qgraphicseffect.h.

        { setOffset(QPointF(d, d)); }

void setXOffset | ( | qreal | dx | ) | `[inline, slot]`

Search for all occurrences

Definition at line 232 of file qgraphicseffect.h.

        { setOffset(QPointF(dx, yOffset())); }

void setYOffset | ( | qreal | dy | ) | `[inline, slot]`

Search for all occurrences

Definition at line 235 of file qgraphicseffect.h.

        { setOffset(QPointF(xOffset(), dy)); }

void setBlurRadius | ( | qreal | blurRadius | ) | `[slot]`

Search for all occurrences

void setColor | ( | const QColor & | color | ) | `[slot]`

Search for all occurrences

void offsetChanged | ( | const QPointF & | offset | ) | `[signal]`

Search for all occurrences

void blurRadiusChanged | ( | qreal | blurRadius | ) | `[signal]`

Search for all occurrences

void colorChanged | ( | const QColor & | color | ) | `[signal]`

Search for all occurrences

void draw | ( | QPainter * | painter | ) | `[protected, virtual]`

Search for all occurrences

Implements QGraphicsEffect.

## Property Documentation

QPointF offset `[read, write]`

Search for all occurrences

Definition at line 202 of file qgraphicseffect.h.

qreal xOffset `[read, write]`

Search for all occurrences

Definition at line 203 of file qgraphicseffect.h.

qreal yOffset `[read, write]`

Search for all occurrences

Definition at line 204 of file qgraphicseffect.h.

qreal blurRadius `[read, write]`

Search for all occurrences

Definition at line 205 of file qgraphicseffect.h.

QColor color `[read, write]`

Search for all occurrences

Definition at line 206 of file qgraphicseffect.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicseffect.h

QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect
QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect QGraphicsDropShadowEffect